<?php
//USING
require_once '../Class/model/EmpresasModel.php';
include_once('../Database/MySQL.Aux.php');

/**
 * BancosControl - Controle das empresas
 *
 * Essa classe controla as requisicoes da classe Empresas
 *
 * @version 	1.0
 * @project 	Módulo Financeiro
 * @copyright	Jay.com.br 2012
 * @access 		public
 */
class EmpresasControl
{
	protected $id;
	protected $action;
	protected $deletar;

	public function setId()
	{
		if (isset($_GET['id']))
		{
			$this->id = $_GET['id'];
		}
	}

	public function getId()
	{
		return $this->id;
	}

	public function setAction()
	{
		if (isset($_POST['action']))
		{
			$this->action = $_POST['action'];
		}
	}

	public function getAction()
	{
		return $this->action;
	}

	public function setDel()
	{
		if (isset($_GET['del']))
		{
			$this->deletar = $_GET['del'];
		}
	}

	public function getDel()
	{
		return $this->deletar;
	}

	//Constructor
	public function __construct()
	{

	}

	public function GetData()
	{
		$result = new EmpresasModel();
		$aux = new MySQLAux();
		
		$result->setId($_POST['Id']);
		$result->setBanco($_POST['banco']);
		$result->setEstado($_POST['estados']);
		$result->setCidade($_POST['cidades']);
		$result->setNome($_POST['nome']);
		$result->setCnpj($aux->RetiraCaracteres($_POST['cnpj']));
		$result->setInscricaoMunicipal($_POST['inscricaomunicipal']);
		$result->setCrc($_POST['crc']);
		$result->setCep($_POST['cep']);
		$result->setBairro($_POST['bairro']);
		$result->setEndereco($_POST['endereco']);
		$result->setNumero($_POST['numero']);
		$result->setComplemento($_POST['complemento']);
		$result->setTelefone($_POST['telefone']);
		$result->setAgencia($_POST['agencia']);
		$result->setContaCorrente($_POST['contacorrente']);
		$result->setEmail($_POST['email']);

		return $result->save();
	}
}

?>